﻿

html, body, .fullHeight {
    /*overflow-x: hidden;*/
    height: 100%;
}

form {
    display: inline;
}

/*font-colors*/
.whiteColor {
    color: #ffffff;
}

.redColor {
    color: #c81010;
}

.greyColor {
    color: #626262;
}

.inputgreyColor {
    color: #727272;
}

.blueColor {
    color: #1c4484;
}

.lightgreyColor {
    color: #e1e1e1;
}

.orangeColor {
    color: #ffa500;
}

/*End font-colors*/
/*start Margin and Padding*/
.margin1rem {
    margin: 1rem;
}

.marginTop1rem {
    margin-top: 1rem;
}

.marginRight1rem {
    margin-right: 1rem;
}

.marginBottom1rem {
    margin-bottom: 1rem;
}

.marginLeft1rem {
    margin-left: 1rem;
}

.margin2rem {
    margin: 2rem;
}

.marginTop2rem {
    margin-top: 2rem;
}

.marginRight2rem {
    margin-right: 2rem;
}

.marginBottom2rem {
    margin-bottom: 2rem;
}

.marginLeft2rem {
    margin-left: 2rem;
}

.margin3rem {
    margin: 3rem;
}

.marginTop3rem {
    margin-top: 3rem;
}

.marginRight3rem {
    margin-right: 3rem;
}

.marginBottom3rem {
    margin-bottom: 3rem;
}

.marginLeft3rem {
    margin-left: 3rem;
}

.margin15rem {
    margin: 15rem;
}

.marginTop15rem {
    margin-top: 15rem;
}

.marginRight15rem {
    margin-right: 15rem;
}

.marginBottom15rem {
    margin-bottom: 15rem;
}

.marginLeft15rem {
    margin-left: 15rem;
}

.marginP5rem {
    margin: 0.5rem;
}

.marginTopP5rem {
    margin-top: 0.5rem;
}

.marginRightP5rem {
    margin-right: 0.5rem;
}

.marginBottomP5rem {
    margin-bottom: 0.5rem;
}

.marginLeftP5rem {
    margin-left: 0.5rem;
}

.padding1rem {
    padding: 1rem;
}

.paddingTop1rem {
    padding-top: 1rem;
}

.marginRight1rem {
    padding-right: 1rem;
}

.paddingBottom1rem {
    padding-bottom: 1rem;
}

.paddingLeft1rem {
    padding-left: 1rem;
}

.padding2rem {
    padding: 2rem;
}

.paddingTop2rem {
    padding-top: 2rem;
}

.marginRight2rem {
    padding-right: 2rem;
}

.paddingBottom2rem {
    padding-bottom: 2rem;
}

.paddingLeft2rem {
    padding-left: 2rem;
}

.padding3rem {
    padding: 3rem;
}

.paddingTop3rem {
    padding-top: 3rem;
}

.marginRight3rem {
    padding-right: 3rem;
}

.paddingBottom3rem {
    padding-bottom: 3rem;
}

.paddingLeft3rem {
    padding-left: 3rem;
}

/*End Margin and Padding*/
/*Start Width and Height*/
.width10rem {
    width: 10rem;
}

.width13rem {
    width: 13rem;
}

.width7PC {
    width: 7%;
}

.width10PC {
    width: 10%;
}

.width15PC {
    width: 15%;
}

.width20PC {
    width: 20%;
}

.width25PC {
    width: 25%;
}

.width39P5PC {
    width: 39.5%;
}

.width49P5PC {
    width: 49.5%;
}

.width50PC {
    width: 50%;
}

.width60PC {
    width: 60%;
}

.width74P5PC {
    width: 74.5%;
}

.height5rem {
    height: 5rem;
}

.height8rem {
    height: 8rem;
}

.height10rem {
    height: 10rem;
}

.height20P5rem {
    height: 20.5rem;
}

.height24rem {
    height: 24rem;
}

.height25P2rem {
    height: 25.2rem;
}

.height30rem {
    height: 30rem;
}

.height92PC {
    height: 92%;
}

/*End Width and Height*/
.loginBg1 {
    background-image: url("../images/loginBg.png");
    background-size: cover;
}

.pull-center {
    text-align: center;
}

.inputFeild {
    margin: 0.5rem 0;
    height: 3rem;
    font-size: 1.3rem;
    /*text-align: center;*/
    display: block;
    padding: 5px 12px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.Feild {
    margin: 0.5rem 0;
    height: 3rem;
    font-size: 11px;
    /*text-align: center;*/
    display: block;
    padding: 5px 12px;
    line-height: 1.42857143;
    color: #555;	
    border-radius: 4px;   
    font-weight: bold;
	text-transform:capitalize;
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.bg {
	background-color: #525659
}
.a4 {
	width: 210mm;height: auto;background-color: white;border:1px solid;margin-left: 20%;margin-top: 2%;margin-bottom: 2%;font-family: verdana;
}

.a4_idCard {
	width: 340px;background-color: white;margin-left:30%;margin-top: 10%;margin-bottom: 2%;border-radius: 6px;
}

.a4_hostelCard {
	width: 360px;background-color: white;margin-left:30%;margin-top: 10%;margin-bottom: 2%;border-radius: 6px;
}

.a4_report {
	width: 98%;height:90%;background-color: white;margin-left:1%;margin-top: 2%;margin-bottom: 2%;border-radius: 6px;
}
.font {
	font-size: 12px;color: #555;font-weight: bold;
}

.searchBar {
    margin: 0.5rem 0;
    height: 3rem;
    font-size: 1.3rem;
    display: block;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 0.5rem;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

    .searchBar input {
        height: 100%;
        font-size: 1.3rem;
        display: block;
        padding: 6px 12px;
        line-height: 1.42857143;
        color: #555;
        background-color: #fff;
        background-image: none;
        border: none;
        border-radius: 0.5rem;
    }

.searchIcon {
    background-repeat: no-repeat;
    background-image: url(../images/search.svg);
    background-color: #ffa500;
    float: right;
    background-position: 1rem;
    background-size: 2rem;
    border-radius: 0.3rem;
}

.loginDiv {
    width: 34.5%;
    height: 75%;
    margin: 9rem 0 0;
    background-color: #fff;
    padding: 3rem;
    position: relative;
}

.loginDivFooter {
    position: relative;
    margin-top: 7rem;
    text-align: center;
}

.loginTextFooter {
    font-size: 1.3rem;
}

.redBtn {
    border-radius: 1.5rem;
    color: #ffffff !important;
    font-weight: 300;
    font-size: 0.8rem;
    background-color: #ed1c24;
    min-width: 8rem;
}

.blueBtn {
    border-radius: 1.5rem;
    color: #ffffff !important;
    font-weight: 600;
    font-size: 0.8rem;
    background-color: #6aa7fe;
    min-width: 8rem;
}

.orangeBtn {
    border-radius: 1.5rem;
    color: #ffffff !important;
    font-weight: 600;
    font-size: 0.8rem;
    background-color: #ffa02d;
    min-width: 8rem;
}

.transparentBtn {
    border-radius: 1.5rem;
    color: #3a2e8e !important;
    font-weight: 600;
    font-size: 0.8rem;
    background-color: transparent;
    min-width: 8rem;
}

.largeRedBtn {
    width: 10rem;
    border-radius: 1.5rem;
    color: #ffffff !important;
    font-weight: 300;
    font-size: 1.2rem;
    background-color: #ed1c24;
    min-width: 8rem;
}

.largeBlueBtn {
    width: 10rem;
    border-radius: 1.5rem;
    color: #ffffff !important;
    font-weight: 600;
    font-size: 1.2rem;
    background-color: #6aa7fe;
    min-width: 8rem;
}

.largeOrangeBtn {
    width: 10rem;
    border-radius: 1.5rem;
    color: #ffffff !important;
    font-weight: 600;
    font-size: 1.2rem;
    background-color: #ffa02d;
    min-width: 8rem;
}

.fullviewBtn {
    border-radius: 1.5rem;
    color: #3a2e8e !important;
    font-weight: 300;
    font-size: 0.8rem;
    background-color: #ebebeb;
    min-width: 8rem;
}

/*.fullviewBtn, .fullviewBtn:hover {
    @include commonButton(1.5rem,#3a2e8e,300,0.8rem,#ebebeb);
}*/
.mainHead1 {
    color: #c81010;
    font-size: 2rem;
    font-weight: 900;
}

.mainSubHead {
    color: #626262;
    font-size: 2rem;
    font-weight: 300;
}

.commonHeading {
    color: #626262;
    font-size: 2rem;
    font-weight: 300;
}

.boldtext {
    text-align: center;
    font-weight: bold;
    font-size: 1.3rem;
    font-family: sans-serif Arial;
    color: #1c4484;
}

.noPadding {
    padding: 0;
}

.noPaddingLeft {
    padding-left: 0;
}

.noPaddingRight {
    padding-right: 0;
}

.margin01rem {
    margin-bottom: 0.2rem;
}

.margin05rem {
    margin-top: 0.5rem;
}

.sidenav {
    height: 92.5%;
    width: 26.8rem;
    position: fixed;
    z-index: 99;
    top: 5.25rem;
    left: 0;
    background-color: #071b3a;
    overflow-x: hidden;
    transition: .5s;
    padding-top: 4.2rem;
    opacity: .94;
}

    .sidenav a {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 1.7rem;
        /*color: #626262;*/
        display: block;
        transition: 0.3s;
    }

        .sidenav a:hover {
            color: #e1e1e1;
        }

    .sidenav .closebtn {
        position: absolute;
        top: 0;
        right: 1.7rem;
        font-size: 2.5rem;
        margin-left: 3.5rem;
    }


.push-right {
    text-align: right;
}

.dropbtn:hover, .dropbtn:focus {
    background-color: #2980B9;
}

.dropdown {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.dropdown-content {
    display: none;
    position: absolute;
    right: 0;
    background-color: #f1f1f1;
    min-width: 11.4rem;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

    .dropdown-content a {
        color: #1c4484;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        text-align: right;
    }

.dropdown a:hover {
    background-color: #ddd;
}

.show {
    display: block;
}

.nav-pills > li.active > a, .nav-pills > li.active > a:focus, .nav-pills > li.active > a:hover {
    background-color: #6aa7fe;
    color: #ffffff;
}

.nav > li {
    position: relative;
    display: block;
    min-width: 13rem;
    text-align: center;
}

.nav-pills > li > a {
    border-radius: 0px;
}

.nav-pills > li > a {
    color: #494848;
    font-weight: bold;
    font-size: 1.2rem;
}

.preimg {
    width: 2.5rem;
}

.vitalimg {
    width: 2rem;
    float: left;
    margin-right: 0.5rem;
}

.box {
    background-color: #ffffff;
    box-shadow: 1px 1px 10px 1px #cccccc;
    padding: 0.5rem;
}

hr {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0.05rem solid #e1e1e1;
}

.viewHistory {
    border: 1px solid #6aa7fe;
    padding: 1rem;
    text-align: center;
    font-size: 1.7rem;
    color: #6aa7fe;
}

.textfield {
    margin: .5rem 0;
    height: 2rem;
    font-size: 1rem;
    text-align: center;
    display: block;
    padding: 6px 12px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.inputFeildSmall {
    width: 100%;
    height: 2rem;
    padding: 0.2rem;
    font-size: 1rem;
    border-radius: 0.3rem;
    border: 0.1rem solid #e1e1e1;
}

    .inputFeildSmall:active {
        width: 100%;
        height: 2rem;
        padding: 0.2rem;
        font-size: 1rem;
        border-radius: 0.3rem;
        border: 0.1rem solid #e1e1e1;
    }

@media (max-width: 1367px) {
    html {
        font-size: 8px;
    }
}

@media (max-width: 1440px) {
    html {
        font-size: 8.5px;
    }
}

::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    font-style: italic;
    color: #cccccc;
}

::-moz-placeholder {
    /* Firefox 19+ */
    font-style: italic;
    color: #cccccc;
}

:-ms-input-placeholder {
    /* IE 10+ */
    font-style: italic;
    color: #cccccc;
}

:-moz-placeholder {
    /* Firefox 18- */
    text-align: center;
    color: #cccccc;
}

.labelStyle {
    font-weight: 500;
    padding-left: 0.5rem;
}

.labelHeadStyle {
    font-weight: 600;
    padding-left: 0.5rem;
}

.boldWhiteFont {
    color: #ffffff;
    font-weight: bold;
}

::-webkit-scrollbar {
    width: 0.5rem;
    height: 0.5rem;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
    background-color: slategrey;
    outline: 1px solid slategrey;
}


.fa-trash, .fa-pencil {
    cursor: pointer;
    font-size: 2rem;
}

.table thead tr td { font-size: 1.3rem; font-weight:bold; }
.table tbody { font-size: 1.2rem; }
/*--------------Accordion Menu---------------*/
.accordion-toggle:after {
    /* symbol for "opening" panels */
    font-family: 'Glyphicons Halflings'; /* essential for enabling glyphicon */
    content: "\e114"; /* adjust as needed, taken from bootstrap.css */
    float: right; /* adjust as needed */
    color: grey; /* adjust as needed */
}
.accordion-toggle.collapsed:after {
    /* symbol for "collapsed" panels */
    content: "\e080"; /* adjust as needed, taken from bootstrap.css */
}
a.font-bold {
    font-size: 1.5rem;
    font-weight: 600;
    color: white;
}
/*--------------End of Accordion Menu---------------*/
/*--------------Title and title botton border---------------*/
.title {
    font-family: Verdana;
    font-size: 1.7rem;    
    margin-top: 2.0rem;
    /*color: #5CB85C;*/
}
table thead tr {
    background-color:#483815;
    color:white;
}
/*table {
    border:1px solid #736443;
}*/


.title-border {
    width: 7rem;
    background: #F0AD4E;
    padding: 1.5px;
    margin-top: 2px;
}
/*--------------End Title and title botton border---------------*/
.glyphicon2 {
    position: relative;
    top: -2px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: 400;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.input-group #txtSearch {
    height: 3rem;
}
.input-group button {
    height: 3rem;
}
#motherName,#fatherName,#eyeColor,#identityMark,#coresAddress,#permaAddress,#relationName{
text-transform: capitalize;
}
thead {
    position: sticky;
    top: 0;
    box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.4);
}

.bdr-outerr {
    border: 1px solid #928770;
    height: 100px;
    padding: 30px 0px 0px 0px;
    border-radius: 5px;
}
.butnn-top {
    text-align: right !important;
    padding: 3px 3px !important;
    margin-right: 20px;
}

    .butnn-top button i {
        padding: 0 5px !important;
    }

    .butnn-top button {
        padding: 5px 10px !important;
        font-size: 15px !important;
        margin-top: 5px;
    }
.flx {
    display: flex;
    flex-direction: row;
}
.widthh {
    width: 43.4%;
}
.mrgn {
    margin-top: 2rem;
}
.addd-btnn {
    margin-top: 3.6rem;
    margin-left: 1.1rem;
    font-weight: bold;
    color: hsl(0, 0%, 100%);
    background: #867b7b;
}
.tbl-mrgn {
    margin-top: 2rem;
    padding-left: 35px;
}
span.forr-mting {
    font-family: Verdana;
    float: left;
    margin-top: 1rem
}
.optin-dv {
    margin-left: 10px;
    width: 170px
}
.coll-wid {
    width: 10%
}

.wid-dth {
    width: 30%
}

.sesion-wid {
    width: 12%
}

.lbl-wid {
    width: 15%;
}


.btch-hegt {
    height: 32px;
    font-size: 13px;
}
.togl-barr {
    display: none;
}

td.stll {
    background-color: aquamarine;
    text-align: end;
}
.srch {
    width: 100%;
    max-width: 50%;
    text-align: right;
    float: right;
    padding-bottom: 10px;
}

.styl-spn {
    font-size: 12px;
    color: black;
    margin: 5px 30px;
}

.tbl-dvv {
  /*  height: 50rem;*/
    margin-top: 2px;
    margin-bottom: 12px;
    width: 100%;
    overflow-y: scroll;
}
.wid-logoo img {
    width: 100%;
    margin-top: -0.9rem;
    max-width: 326px;
}
.forr-mting1 {
    min-height: 50px;
}

.add-btt {
    margin-left: 0px;
 
}

.p-vieww {
    margin-left: 0px !important;
    width: 100%;
}

#sidebar-wrapper .sidebar-nav li a .sidebar-icon {
    width: 40px !important;
    margin-right: 0px !important;
}

#sidebar-wrapper .sidebar-nav li ul.listpadding {
    margin-left: -14px !important;
}

/* For mobile devices and small screens (less than 23.44rem) */
@media (max-width: 47.99rem) {
    .togl-barr {
        display: block;
    }

    .butnn-top button {
        font-size: 10px !important;
    }

    #page-content-wrapper {
        margin-left: 0 !important;
    }

    #sidebar-wrapper {
        display: none;
    }

    .mainContent {
        margin-left: 0; /* Content takes full width */
        padding: 10px; /* Add some padding to avoid content touching the edges */
    }

    .tableHeight {
        height: 300px; /* Set a specific height */
        overflow-y: auto; /* Add scroll for vertical overflow */
    }

    .table-responsive {
        max-height: 300px; /* Adjust as per screen size */
        overflow-y: auto; /* Add vertical scroll if needed */
    }
}

/* For tablets and small desktops (between 48rem and 80rem) */
@media (min-width: 64rem) and (max-width: 80rem) {

/*
    .togl-barr {
        display: block;
    }
*/
   /* .butnn-top button {
        font-size: 10px !important;
    }*/
    #wrapper #sidebar-wrapper {
        width: 180px !important;
    }
    #page-content-wrapper {
        margin-left: 0 !important;
    }

   /* #sidebar-wrapper {
        display: none;
    }  */
    
    .mainContent {
        margin-left: 18rem; /* Space for sidebar */
        padding: 15px;
    }
    .tableHeight {
        height: 400px; /* Adjust the height */
        overflow-y: auto; /* Enable scrolling if content exceeds height */
    }
    .table-responsive {
        max-height: 400px; /* Adjust as per screen size */
        overflow-y: auto; /* Add vertical scroll if needed */
    }
    .responsive-container {
        padding: 15px 10px; /* Adjust padding for smaller screens */
    }

    .responsive-container .col-md-2 {
            width: 100%; /* Stack fields vertically */
    }
}

/* For large desktops (greater than 80rem) */
@media (min-width: 80rem) {

    #wrapper #sidebar-wrapper {
        width: 220px !important;
    }
    .mainContent {
        margin-left: 26.8rem; /* Ensure content doesn't overlap with sidebar */
        padding: 20px;

    }
  
}


.responsive-container {
    border: 1px solid #928770;
    padding: 30px 10px;
    border-radius: 5px;
    overflow: hidden; /* Ensure fields don't overflow */
    display: flex;
    flex-wrap: wrap; /* Enable wrapping of children */
    height: auto; /* Adjust height dynamically */
}

 .responsive-container .col-12 {
        margin-bottom: 10px; /* Add spacing between items on small screens */
 }


